Skip to main content
GET
/
v1
/
alerts
List active alerts
curl --request GET \
  --url https://api.poly.ai/v1/alerts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "alert_rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "metric": "turn_latency_p50",
      "operator": ">",
      "threshold_value": 123,
      "window_duration_seconds": 123,
      "since": "2023-11-07T05:31:56Z",
      "project_id": "<string>",
      "last_evaluated_at": "2023-11-07T05:31:56Z",
      "current_value": 123
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

project_id
string
metric
enum<string>
Available options:
turn_latency_p50,
turn_latency_p95,
api_errors,
function_errors,
call_crashes,
call_volume

Response

Active alerts retrieved successfully.

data
object[]
required